Package org.eclipse.microprofile.rest.client.tck.cditests

# Class CDIManagedProviderTest.MyFilter

java.lang.Object
org.eclipse.microprofile.rest.client.tck.cditests.CDIManagedProviderTest.MyFilter

All Implemented Interfaces:
  `jakarta.ws.rs.client.ClientRequestFilter`

Enclosing class:
  CDIManagedProviderTest

@ApplicationScoped public static class CDIManagedProviderTest.MyFilter extends Object implements jakarta.ws.rs.client.ClientRequestFilter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected jakarta.enterprise.inject.spi.BeanManager`
`beanManager`
`protected boolean`
`postConstructInvoked`

## Constructor Summary

Constructors
Constructor
Description
`MyFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(jakarta.ws.rs.client.ClientRequestContext requestContext)`
`void`
`postConstruct()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### postConstructInvoked

protected boolean postConstructInvoked

### beanManager

@Inject protected jakarta.enterprise.inject.spi.BeanManager beanManager

## Constructor Details

### MyFilter

public MyFilter()

## Method Details

### postConstruct

@PostConstruct public void postConstruct()

### filter

public void filter(jakarta.ws.rs.client.ClientRequestContext requestContext) throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`